summaryrefslogtreecommitdiff
path: root/sid-armhf-blend/customization/includes.chroot/etc/rc.local
diff options
context:
space:
mode:
Diffstat (limited to 'sid-armhf-blend/customization/includes.chroot/etc/rc.local')
-rwxr-xr-xsid-armhf-blend/customization/includes.chroot/etc/rc.local22
1 files changed, 22 insertions, 0 deletions
diff --git a/sid-armhf-blend/customization/includes.chroot/etc/rc.local b/sid-armhf-blend/customization/includes.chroot/etc/rc.local
new file mode 100755
index 0000000..39d1427
--- /dev/null
+++ b/sid-armhf-blend/customization/includes.chroot/etc/rc.local
@@ -0,0 +1,22 @@
+#!/bin/sh -e
+#
+# rc.local
+#
+# This script is executed at the end of each multiuser runlevel.
+# Make sure that the script will "exit 0" on success or any other
+# value on error.
+#
+# In order to enable or disable this script just change the execution
+# bits.
+#
+# By default this script does nothing.
+
+# Generate the SSH keys if non-existent
+if [ ! -f /etc/ssh/ssh_host_rsa_key ]
+then
+ # else ssh service start in dpkg-reconfigure will fail
+ systemctl stop ssh.socket||true
+ dpkg-reconfigure openssh-server
+fi
+
+exit 0